package activity;

public class TaskActivity extends AbstractCompositeActivity {
	private int priority;
	private boolean resume;
	
	public TaskActivity(String type, String name, boolean repeat,
			boolean minor, String startOn, String stopOn, String onBegin,
			String onEnd, String onInterupt, String activate,
			String deactivate, int priority, boolean resume) {
		super(type, name, repeat, minor, startOn, stopOn, onBegin, onEnd,
				onInterupt, activate, deactivate);
		this.priority = priority;
		this.resume = resume;
	}

	public String writeXml(){
		String xml=null;
		xml=super.writeXml();
		xml=xml.substring(0,xml.length()-2);
		if(priority>0)
			xml+=" priority"+priority;
		if(resume)
			xml+=" resume="+resume;
		xml+=">";
		return xml;
	}

	public TaskActivity asTaskActivity() {
		return this;
	}



	/**
	 * @return the priority
	 */
	public int getPriority() {
		return priority;
	}



	/**
	 * @param priority the priority to set
	 */
	public void setPriority(int priority) {
		this.priority = priority;
	}



	/**
	 * @return the resume
	 */
	public boolean isResume() {
		return resume;
	}



	/**
	 * @param resume the resume to set
	 */
	public void setResume(boolean resume) {
		this.resume = resume;
	}
	
	
}
